com.lowagie.toolbox.plugins

## Class Add3D

- java.lang.Object
- - com.lowagie.toolbox.AbstractTool
  - - com.lowagie.toolbox.plugins.Add3D

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

    public class Add3D
    extends AbstractTool

This tool lets you add a embedded u3d 3d annotation to the first page of a document. Look for sample files at http://u3d.svn.sourceforge.net/viewvc/u3d/trunk/Source/Samples/Data/

Since:
  2.1.1 (imported from itexttoolbox project)

### Field Summary

Fields
`(package private) FileArgument` `destfile`
`static java.lang.String` `PDF_NAME_3D`
`static java.lang.String` `PDF_NAME_3DD`
`static java.lang.String` `PDF_NAME_3DV`
`static java.lang.String` `PDF_NAME_3DVIEW`
`static java.lang.String` `PDF_NAME_C2W`
`static java.lang.String` `PDF_NAME_IN`
`static java.lang.String` `PDF_NAME_MS`
`static java.lang.String` `PDF_NAME_U3D`
`static java.lang.String` `PDF_NAME_XN`

### Fields inherited from class com.lowagie.toolbox.AbstractTool

`arguments, internalFrame, MENU_EXECUTE, MENU_EXECUTE_PRINT, MENU_EXECUTE_PRINT_SILENT, MENU_EXECUTE_SHOW, menuoptions, versionsarray`

### Constructor Summary

Constructors
Constructor and Description
`Add3D()` This tool lets you add a embedded u3d 3d annotation to the first page of a document.

### Method Summary

Methods
`static void` `AddButton(float x, float y, java.lang.String fname, java.lang.String js, java.lang.String image, PdfWriter wr)`
`protected void` `createFrame()` Creates the internal frame.
`void` `execute()` Executes the tool (in most cases this generates a PDF file).
`protected java.io.File` `getDestPathPDF()` Gets the PDF file that should be generated (or null if the output isn't a PDF file).
`static void` `main(java.lang.String[] args)` This methods helps you running this tool as a standalone application.
`void` `valueHasChanged(AbstractArgument arg)` Indicates that the value of an argument has changed.

### Methods inherited from class com.lowagie.toolbox.AbstractTool

`actionPerformed, addVersion, getArguments, getInternalFrame, getMenubar, getUsage, getValue, setArguments, setInternalFrame, setMainArguments, setMenubar`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### destfile

    FileArgument destfile

#### PDF_NAME_3D

    public static final java.lang.String PDF_NAME_3D

See Also:
  Constant Field Values

#### PDF_NAME_3DD

    public static final java.lang.String PDF_NAME_3DD

See Also:
  Constant Field Values

#### PDF_NAME_3DV

    public static final java.lang.String PDF_NAME_3DV

See Also:
  Constant Field Values

#### PDF_NAME_3DVIEW

    public static final java.lang.String PDF_NAME_3DVIEW

See Also:
  Constant Field Values

#### PDF_NAME_C2W

    public static final java.lang.String PDF_NAME_C2W

See Also:
  Constant Field Values

#### PDF_NAME_IN

    public static final java.lang.String PDF_NAME_IN

See Also:
  Constant Field Values

#### PDF_NAME_MS

    public static final java.lang.String PDF_NAME_MS

See Also:
  Constant Field Values

#### PDF_NAME_U3D

    public static final java.lang.String PDF_NAME_U3D

See Also:
  Constant Field Values

#### PDF_NAME_XN

    public static final java.lang.String PDF_NAME_XN

See Also:
  Constant Field Values

### Constructor Detail

#### Add3D

    public Add3D()

This tool lets you add a embedded u3d 3d annotation to the first page of a document.

### Method Detail

#### createFrame

    protected void createFrame()

Creates the internal frame.

Specified by:
  `createFrame` in class `AbstractTool`

#### execute

    public void execute()

Executes the tool (in most cases this generates a PDF file).

Specified by:
  `execute` in class `AbstractTool`

#### AddButton

    public static void AddButton(float x,
                 float y,
                 java.lang.String fname,
                 java.lang.String js,
                 java.lang.String image,
                 PdfWriter wr)

#### getDestPathPDF

    protected java.io.File getDestPathPDF()
                                   throws java.lang.InstantiationException

Gets the PDF file that should be generated (or null if the output isn't a PDF file).

Specified by:
  `getDestPathPDF` in class `AbstractTool`
Returns:
  the PDF file that should be generated
Throws:
  `java.lang.InstantiationException`

#### valueHasChanged

    public void valueHasChanged(AbstractArgument arg)

Indicates that the value of an argument has changed.

Specified by:
  `valueHasChanged` in class `AbstractTool`
Parameters:
  `arg` - the argument that has changed

#### main

    public static void main(java.lang.String[] args)

This methods helps you running this tool as a standalone application.

Parameters:
  `args` - the srcfile and destfile